Bug 1816676 - [RFE] Add viewing/managing the RH Inventory for Subscription Watch/Simple Content Access to Satellite RBAC
Summary: [RFE] Add viewing/managing the RH Inventory for Subscription Watch/Simple Con...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: RH Cloud - Inventory
Version: 6.6.0
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: Unspecified
Assignee: Shimon Shtein
QA Contact: Mirek Długosz
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-24 14:17 UTC by Danny Synk
Modified: 2020-11-11 09:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 09:35:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Danny Synk 2020-03-24 14:17:24 UTC
1. Proposed title of this feature request

Add viewing/managing the RH Inventory for Subscription Watch/Simple Content Access to Satellite RBAC

2. What is the nature and description of the request?

Currently, only users designated as Administrators are able to interact with the RH Inventory. The customer would like to use RBAC to grant non-Administrator users permission to manage the RH Inventory.

3. Why does the customer need this? (List the business requirements here)

The customer would like non-administrator users to be able to manage the RH Inventory.

4. How would the customer like to achieve this? (List the functional requirements here)

The customer would like a role to be added to Satellite that provides access to the RH Inventory. The customer would also like access to the RH Inventory to be added to the existing "Organization Admin" role.

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

  - Create a user in a Satellite organization with Content Access Mode enabled.
  - Assign that user either the Organization Admin role or the RH Inventory Manager role. Do not select the Administrator option.
  - Log in as this user. The RH Inventory item should be visible in the navigation bar and accessible to the user.

6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

No.

7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

No.

8. Is the sales team involved in this request and do they have any additional input?

No.

9. List any affected packages or components.

Users & Roles.

10. Would the customer be able to assist in testing this functionality if implemented?

Yes.

Comment 8 Danny Synk 2020-11-10 20:43:39 UTC
I can confirm that a user with the ForemanRHCloud role assigned but no other roles assigned can now access the Configure > Red Hat Inventory page on both Satellite 6.7.5 and Satellite 6.8.0. Consequently, this BZ can be closed. Thank you!

Comment 9 Ashish Humbe 2020-11-11 09:35:57 UTC
Thank you Danny for the confirmation. 

THis issue is resolved in Satellite 6.7.5 and 6.8.0 so closing this bug.


Note You need to log in before you can comment on or make changes to this bug.